Bug 85732 - Rebuild fails for sendmail 8.12.8 on Red Hat 7.3
Rebuild fails for sendmail 8.12.8 on Red Hat 7.3
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-06 12:35 EST by Robin
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-08 17:36:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin 2003-03-06 12:35:00 EST
Description of problem:
I'm running Red Hat 7.3, sendmail version 8.12.6.

I downloaded sendmail-8.12.8-1.80.src.rpm and tried to build it using:
 rpm --rebuild sendmail-8.12.8-1.80.src.rpm

It builds for a while then ends with this error:
cc -o t-event  -L/usr/kerberos/lib t-event.o libsm.a   -ldb -lresolv -lcrypt -
lnsl -lnsl -lwrap -lldap -llber -lsasl -lssl -lcrypto -lhesiod -lgdbm -lcrypt -
ldb-4.0
/usr/bin/ld: cannot find -ldb-4.0
collect2: ld returned 1 exit status
make[1]: *** [t-event] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/sendmail-
8.12.8/obj.Linux.2.4.18-24.7.xsmp.i686/libsm'
make: *** [/usr/src/redhat/BUILD/sendmail-8.12.8/obj.Linux.2.4.18-
24.7.xsmp.i686/libsm/libsm.a] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.76717 (%build)


Version-Release number of selected component (if applicable):

8.12.6

How reproducible:
Reproduced every time I run the rpm --rebuild command

Steps to Reproduce:
1.  Download sendmail-8.12.8-1.80.src.rpm.
2.  Run:  rpm --rebuild sendmail-8.12.8-1.80.src.rpm 
3.
    
Actual results:
cc -o t-event  -L/usr/kerberos/lib t-event.o libsm.a   -ldb -lresolv -lcrypt -
lnsl -lnsl -lwrap -lldap -llber -lsasl -lssl -lcrypto -lhesiod -lgdbm -lcrypt -
ldb-4.0
/usr/bin/ld: cannot find -ldb-4.0
collect2: ld returned 1 exit status


Expected results:
Successful rebuild.

Additional info:
Comment 1 Florian La Roche 2003-03-07 06:37:57 EST
http://people.redhat.com/laroche

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.